curl https://api.usegately.com/api/v1/email/templates \
-H "Authorization: Bearer gately_YOUR_API_KEY"
const response = await fetch('https://api.usegately.com/api/v1/email/templates', {
headers: { 'Authorization': 'Bearer gately_YOUR_API_KEY' },
});
const { templates } = await response.json();
import requests
response = requests.get(
'https://api.usegately.com/api/v1/email/templates',
headers={'Authorization': 'Bearer gately_YOUR_API_KEY'},
)
print(response.json())
{
"templates": [
{
"id": "tmpl_abc123",
"name": "Welcome Email",
"subject": "Welcome to {{project}}, {{name}}!",
"category": "welcome",
"created_at": "2026-08-02T10:00:00Z",
"updated_at": "2026-08-02T10:00:00Z"
},
{
"id": "tmpl_def456",
"name": "Password Reset",
"subject": "Reset your password",
"category": "transactional",
"created_at": "2026-07-20T08:00:00Z",
"updated_at": "2026-07-20T08:00:00Z"
}
]
}
Transactional Email
List Templates
Returns all email templates for your project.
GET
/
api
/
v1
/
email
/
templates
curl https://api.usegately.com/api/v1/email/templates \
-H "Authorization: Bearer gately_YOUR_API_KEY"
const response = await fetch('https://api.usegately.com/api/v1/email/templates', {
headers: { 'Authorization': 'Bearer gately_YOUR_API_KEY' },
});
const { templates } = await response.json();
import requests
response = requests.get(
'https://api.usegately.com/api/v1/email/templates',
headers={'Authorization': 'Bearer gately_YOUR_API_KEY'},
)
print(response.json())
{
"templates": [
{
"id": "tmpl_abc123",
"name": "Welcome Email",
"subject": "Welcome to {{project}}, {{name}}!",
"category": "welcome",
"created_at": "2026-08-02T10:00:00Z",
"updated_at": "2026-08-02T10:00:00Z"
},
{
"id": "tmpl_def456",
"name": "Password Reset",
"subject": "Reset your password",
"category": "transactional",
"created_at": "2026-07-20T08:00:00Z",
"updated_at": "2026-07-20T08:00:00Z"
}
]
}
Headers
string
required
Bearer YOUR_API_KEYResponse
array
curl https://api.usegately.com/api/v1/email/templates \
-H "Authorization: Bearer gately_YOUR_API_KEY"
const response = await fetch('https://api.usegately.com/api/v1/email/templates', {
headers: { 'Authorization': 'Bearer gately_YOUR_API_KEY' },
});
const { templates } = await response.json();
import requests
response = requests.get(
'https://api.usegately.com/api/v1/email/templates',
headers={'Authorization': 'Bearer gately_YOUR_API_KEY'},
)
print(response.json())
{
"templates": [
{
"id": "tmpl_abc123",
"name": "Welcome Email",
"subject": "Welcome to {{project}}, {{name}}!",
"category": "welcome",
"created_at": "2026-08-02T10:00:00Z",
"updated_at": "2026-08-02T10:00:00Z"
},
{
"id": "tmpl_def456",
"name": "Password Reset",
"subject": "Reset your password",
"category": "transactional",
"created_at": "2026-07-20T08:00:00Z",
"updated_at": "2026-07-20T08:00:00Z"
}
]
}
Was this page helpful?
⌘I